<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                       ***
  ***      File:  admin_dump.php                                           ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                 ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");

	check_admin_security();

	$tables = array();
	$tables = $db->get_tables();

	$current_index = 0;
	$date_dump_format = array("YYYY", "_", "M", "_", "D", "_", "H", "_", "mm","_","ss");
	$date_dump = va_date($date_dump_format);
	$dump_path = "../db/";
	$dump_file_name = check_file_exists($dump_path, "dump_".$date_dump.".sql");
	$fp = fopen($dump_path.$dump_file_name, "w");
	foreach ($tables as $table_name) {
//		echo $table_name.'<br>';
//		print_r($db->get_fields($table_name));
//		echo '<hr>';
		$fields = array();
		$fields = $db->get_fields($table_name);
		$columns_list = '';
		foreach ($fields as $field_value) {
			$field_value['name'];
			$columns_list .= (strlen($columns_list))? ', '.$field_value['name']: $field_value['name'];
		}
		$sql = "SELECT ".$columns_list." FROM ".$table_name;
		$db->query($sql);
		$delete_sql = "DELETE FROM ".$table_name.";";
		fwrite($fp, "\n\n".$delete_sql."\n");
		while ($db->next_record()){
			$values_list = '';
			foreach ($fields as $field_value) {
				if (preg_match("/INT/i", $field_value['type']) || preg_match("/COUNTER/i", $field_value['type'])) {
//					echo 'INT';
					$value = $db->tosql($db->f($field_value['name']),INTEGER);
				}else if (preg_match("/DOUBLE/i", $field_value['type']) || preg_match("/FLOAT/i", $field_value['type'])) {
//					echo 'DOUBLE';
					$value = $db->tosql($db->f($field_value['name']),FLOAT);
				}else{
					$value = $db->tosql($db->f($field_value['name']),TEXT);
				}
				if ($value == 'NULL') {
					$value = "''";
				}
//				echo '|'.$db->f($field_value['name']).'|';
				$values_list .= (strlen($values_list))? ', '.$value: $value;
			}
//			echo $values_list.'|';
//			echo '<hr>';
		$insert_sql = "INSERT INTO " . $table_name . " (" . $columns_list . ") VALUES (" . $values_list . ");";
		fwrite($fp, $insert_sql."\n");
//		echo $insert_sql.'<hr>';
		}

//		echo $sql.'<hr>';
	}
	fclose($fp);
	echo 'Dump is create!<br>';

function check_file_exists($filepath, $filename)
{
	$everything_ok = false;
	global $current_index;
	$new_filename = $filename;
	while (!$everything_ok){
		if(file_exists($filepath . $new_filename)){
			$new_filename = get_new_file_name ($filepath, $filename);
		}else{
			$everything_ok = true;
		}
	}
	return $new_filename;
}

function get_new_file_name ($filepath, $filename)
{
	global $current_index;
	$new_filename = $filename;
	while (file_exists($filepath . $new_filename)){
		$current_index++;
		$delimiter_pos = strpos($filename, ".");
		if($delimiter_pos){
			$new_filename = substr($filename, 0, $delimiter_pos) . "_" . $current_index . substr($filename, $delimiter_pos);
		}else{
			$new_filename = $index . "_" . $filename;
		}
	}
	return $new_filename;
}
?>