<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  admin_fm_edit_file.php                                   ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                 ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/admin_fm_functions.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("filemanager");
	$error = "";
	$service_message = "";
	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_fm_edit_file.html");
	
	$edit_file = terminator(get_param("edit_file"));
	$old_edit_file = terminator(get_param("old_edit_file"));
	$dir_path = get_param("dir_path");
	$dir_path = check_dir_path($dir_path);
	$op = terminator(get_param("op"));
	$file_content = get_param("file_content");
	

	if((strlen($op) > 0) && $op == 1 && isset($file_content)) {

		rename($dir_path . "/" . $old_edit_file, $dir_path . "/" . $edit_file);
		if(@$fp = fopen($dir_path . "/" . $edit_file, "w")) {
			fwrite($fp, stripslashes($file_content));
			fclose($fp);
			$service_message = "File " . $edit_file . " was successfully saved.";
		}
		else {

			$error = "File " . $edit_file . " was not saved. It may be because the file doesn't exists or you do not have the permissions to save.";
		}
	}
	if(strlen($error) > 0) {
		$t->set_var("error", $error);
		$t->parse("errors", true);
	}
	else {
		$t->set_var("errors", "");
	}
	if(strlen($service_message) > 0) {
		$t->set_var("service_message", $service_message);
		$t->parse("service_messages", true);
	}
	else {
		$t->set_var("service_messages", "");
	}
	if(isset($edit_file) && isset($dir_path)) {
		$content_file =  htmlspecialchars(file_get_contents($dir_path . "/" . $edit_file));
	}

	$t->set_var("admin_filemanager_href", "admin_fm.php");
	$t->set_var("admin_edit_file_href", "admin_fm_edit_file.php");
	$t->set_var("dir_path", $dir_path);
	$t->set_var("content_file", $content_file);
	$t->set_var("edit_file", $edit_file);
	$t->set_var("host", get_session("host"));
	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");
?>