<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ProCart v3.8                                                  ***
  ***      File:  messages.php                                             ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***      ProCart v3.8                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	define("CHARSET", "windows-1252");
	// date messages
	define("YEAR_MSG", "Jahr");
	define("MONTH_MSG", "Monat");
	define("DAY_MSG", "Tag");
	define("DAYS_MSG", "Tage");
	define("HOUR_MSG", "Stunde");
	define("MINUTE_MSG", "Minute");
	define("SECOND_MSG", "Sekunde");
	define("WEEK_MSG", "Woche");
	define("TODAY_MSG", "Heute");
	define("YESTERDAY_MSG", "Gestern");
	define("LAST_7DAYS_MSG", "Letzte 7 Tage");
	define("THIS_MONTH_MSG", "Dieser Monat");
	define("LAST_MONTH_MSG", "Letzter Monat");
	define("THIS_QUARTER_MSG", "Dieses Quartal");
	define("THIS_YEAR_MSG", "Dieses Jahr");

	// months
	define("JANUARY", "Januar");
	define("FEBRUARY", "Februar");
	define("MARCH", "Mrz");
	define("APRIL", "April");
	define("MAY", "Mai");
	define("JUNE", "Juni");
	define("JULY", "Juli");
	define("AUGUST", "August");
	define("SEPTEMBER", "September");
	define("OCTOBER", "Oktober");
	define("NOVEMBER", "November");
	define("DECEMBER", "Dezember");

	define("JANUARY_SHORT", "Jan");
	define("FEBRUARY_SHORT", "Feb");
	define("MARCH_SHORT", "Mr");
	define("APRIL_SHORT", "Apr");
	define("MAY_SHORT", "Mai");
	define("JUNE_SHORT", "Jun");
	define("JULY_SHORT", "Jul");
	define("AUGUST_SHORT", "Aug");
	define("SEPTEMBER_SHORT", "Sep");
	define("OCTOBER_SHORT", "Okt");
	define("NOVEMBER_SHORT", "Nov");
	define("DECEMBER_SHORT", "Dez");

	// weekdays
	define("SUNDAY", "Sonntag");
	define("MONDAY", "Montag");
	define("TUESDAY", "Dienstag");
	define("WEDNESDAY", "Mittwoch");
	define("THURSDAY", "Donnerstag");
	define("FRIDAY", "Freitag");
	define("SATURDAY", "Samstag");

	define("SUNDAY_SHORT", "So");
	define("MONDAY_SHORT", "Mo");
	define("TUESDAY_SHORT", "Di");
	define("WEDNESDAY_SHORT", "Mi");
	define("THURSDAY_SHORT", "Do");
	define("FRIDAY_SHORT", "Fr");
	define("SATURDAY_SHORT", "Sa");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> wird bentigt");
	define("UNIQUE_MESSAGE", "Der Wert im Feld <b>{field_name}</b> existiert schon in der Datenbank");
	define("VALIDATION_MESSAGE", "Gltigkeitsberprfung fr Feld <b>{field_name}</b> gescheitert");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> und <b>{field_two}</b> stimmen nicht berein");
	define("INSERT_ALLOWED_ERROR", "Einfgen ist Ihnen leider nicht gestattet");
	define("UPDATE_ALLOWED_ERROR", "Aktualisieren ist Ihnen leider nicht gestattet");
	define("DELETE_ALLOWED_ERROR", "Lschen ist Ihnen leider nicht gestattet");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> hat ungltigen Datumswert. Bitte benutzen Sie die Kalender-Daten.");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> stimmt nicht mit der Maske berein. Bitte benutzen Sie '<b>{field_mask}</b>'.");
	define("INCORRECT_EMAIL_MESSAGE", "Ungltiges E-Mail-Format im Feld {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Ungltiger Wert im Feld {field_name}");

	define("MIN_VALUE_MESSAGE", "Der Wert im Feld <b>{field_name}</b> kann nicht kleiner als {min_value} sein");
	define("MAX_VALUE_MESSAGE", "Der Wert im Feld <b>{field_name}</b> kann nicht grer als {max_value} sein");
	define("MIN_LENGTH_MESSAGE", "Die Lnge im Feld  <b>{field_name}</b> kann nicht weniger als {min_length} Symbole sein.");
	define("MAX_LENGTH_MESSAGE", "Die Lnge im Feld <b>{field_name}</b> kann nicht mehr als {max_length} Symbole sein.");

	define("FILE_PERMISSION_MESSAGE", "Kein Schreibzugriff auf Datei <b>'{file_name}'</b>. Um fortzufahren, ndern Sie bitte die Zugriffsrechte der Datei.");
	define("FOLDER_PERMISSION_MESSAGE", "Kein Schreibzugriff auf Ordner <b>'{folder_name}'</b>. Um fortzufahren, ndern Sie bitte die Zugriffsrechte des Ordners.");
	define("INVALID_EMAIL_MSG", "Ihre E-Mail ist ungltig");
	define("DATABASE_ERROR_MSG", "Ein Datenbankfehler trat auf");
	define("BLACK_IP_MSG", "Diese Aktion ist von Ihrem Host nicht gestattet.");
	define("BANNED_CONTENT_MSG", "Der bermittelte Inhalt enthielt leider unzulssige Ausdrcke.");
	define("ERRORS_MSG", "Fehler");
	define("REGISTERED_ACCESS_MSG", "Nur registrierte Benutzer haben Zugriff auf diese Option.");

	// titles 
	define("TOP_RATED_TITLE", "Am besten bewertet");
	define("TOP_VIEWED_TITLE", "Am meisten angesehen");
	define("RECENTLY_VIEWED_TITLE", "Zuletzt angesehen");
	define("HOT_TITLE", "Hot");
	define("LATEST_TITLE", "Neueste");
	define("CONTENT_TITLE", "Inhalt");
	define("RELATED_TITLE", "Verwandt");
	define("SEARCH_TITLE", "Suche");
	define("ADVANCED_SEARCH_TITLE", "Erweiterte Suche");
	define("LOGIN_TITLE", "Benutzerlogin");
	define("CATEGORIES_TITLE", "Kategorien");
	define("MANUFACTURERS_TITLE", "Hersteller");
	define("SPECIAL_OFFER_TITLE", "Sonderangebot");
	define("NEWS_TITLE", "News");
	define("EVENTS_TITLE", "Ereignisse");
	define("PROFILE_TITLE", "Profil");
	define("USER_HOME_TITLE", "Homepage");
	define("DOWNLOAD_TITLE", "Download");
	define("FAQ_TITLE", "Hufig gestellte Fragen");
	define("POLL_TITLE", "Umfrage");
	define("HOME_PAGE_TITLE", "Homepage");
	define("CURRENCY_TITLE", "Whrung");
	define("SUBSCRIBE_TITLE", "Abonnieren");
	define("UNSUBSCRIBE_TITLE", "Abbestellen");
	define("UPLOAD_TITLE", "Upload");
	define("ADS_TITLE", "Anzeigen");
	define("ADS_COMPARE_TITLE", "Anzeigevergleich");
	define("ADS_SELLERS_TITLE", "Verkufer");
	define("AD_REQUEST_TITLE", "Machen Sie ein Angebot / Fragen Sie den Verkufer");
	define("LANGUAGE_TITLE", "Sprachen");
	define("MERCHANTS_TITLE", "Hndler");
	define("PREVIEW_TITLE", "Vorschau");

	// menu items
	define("MENU_ABOUT", "ber uns");
	define("MENU_ACCOUNT", "Ihr Kundenkonto");
	define("MENU_BASKET", "Ihr Warenkorb");
	define("MENU_CONTACT", "Kontaktieren Sie uns");
        define("MENU_LIVECHAT", "Live Chat");
	define("MENU_DOCUMENTATION", "Dokumentation");
	define("MENU_DOWNLOADS", "Downloads");
	define("MENU_EVENTS", "Ereignisse");
	define("MENU_FAQ", "FAQ");
	define("MENU_FORUM", "Forum");
	define("MENU_HELP", "Hilfe");
	define("MENU_HOME", "Home");
	define("MENU_HOW", "Wie einkaufen?");
	define("MENU_MEMBERS", "Mitglieder");
	define("MENU_MYPROFILE", "Mein Profil");
	define("MENU_NEWS", "News");
	define("MENU_PRIVACY", "Datenschutz");
	define("MENU_PRODUCTS", "Produkte");
	define("MENU_REGISTRATION", "Registrierung");
	define("MENU_SHIPPING", "Versand");
	define("MENU_SIGNIN", "Anmelden");
	define("MENU_SIGNOUT", "Abmelden");
	define("MENU_SUPPORT", "Untersttzung");
	define("MENU_USERHOME", "Benutzer Home");
	define("MENU_ADS", "Kleinanzeigen");
	define("MENU_ADMIN", "Administration");
	define("MENU_KNOWLEDGE", "Informationsbank");

	// main terms
	define("NO_MSG", "Nein");
	define("YES_MSG", "Ja");
	define("NOT_AVAILABLE_MSG", "N/V");
	define("MORE_MSG", "mehr...");
	define("READ_MORE_MSG", "mehr lesen...");
	define("CLICK_HERE_MSG", "Klicken Sie hier");
	define("ENTER_YOUR_MSG", "Geben Sie Ihr/e");
	define("CHOOSE_A_MSG", "Whlen Sie ein/e");
	define("PLEASE_CHOOSE_MSG", "Bitte whlen Sie");
	define("SELECT_MSG", "Whlen");
	define("DATE_FORMAT_MSG", "benutzen Sie das Format <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Nchste");
	define("PREV_PAGE_MSG", "Vorige");
	define("FIRST_PAGE_MSG", "Erste");
	define("LAST_PAGE_MSG", "Letzte");
	define("OF_PAGE_MSG", "von");
	define("TOP_CATEGORY_MSG", "Oben");
	define("SEARCH_IN_CURRENT_MSG", "Aktuelle Kategorie");
	define("SEARCH_IN_ALL_MSG", "Alle Kategorien");
	define("FOUND_IN_MSG", "Gefunden in");
	define("TOTAL_VIEWS_MSG", "Angesehen");
	define("VOTES_MSG", "Stimmen");
	define("TOTAL_VOTES_MSG", "Stimmen gesamt");
	define("TOTAL_POINTS_MSG", "Punkte gesamt");
	define("VIEW_RESULTS_MSG", "Ergebnisse ansehen");
	define("PREVIOUS_POLLS_MSG", "Frhere Abstimmungen");
	define("TOTAL_MSG", "Gesamt");
	define("CLOSED_MSG", "Geschlossen");
	define("CLOSE_WINDOW_MSG", "Fenster schlieen");
	define("ASTERISK_MSG", "Stern (*) - Pflichtfelder");
	define("PROVIDE_INFO_MSG", "Bitte machen Sie Angaben in den Sektionen mit rot und klicken Sie dann '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Zu dem/den Suchbegriff/en '<b>{search_string}</b>' wurden <b>{found_records}</b> Artikel gefunden.");
	define("NO_ARTICLE_MSG", "Artikel mit dieser ID ist nicht verfgbar");
	define("NO_ARTICLES_MSG", "Es wurden keine Artikel gefunden");
	define("NOTES_MSG", "Anmerkungen");
	define("KEYWORDS_MSG", "Schlsselworte");
	define("LINK_URL_MSG", "Verweis");
	define("DOWNLOAD_URL_MSG", "Download");
	define("SUBSCRIBE_FORM_MSG", "Um unseren Newsletter zu beziehen, geben Sie bitte Ihre E-Mail-Adresse in das Eingabefeld unten ein und klicken Sie '{button_name}'.");
	define("UNSUBSCRIBE_FORM_MSG", "Geben Sie bitte Ihre E-Mail-Adresse in das Eingabefeld unten ein und klicken Sie '{button_name}'.");
	define("SUBSCRIBE_LINK_MSG", "Abonnieren");
	define("UNSUBSCRIBE_LINK_MSG", "Abonnement kndigen");
	define("SUBSCRIBED_MSG", "Glckwunsch! Sie haben unseren Newsletter erfolgreich abonniert.");
	define("ALREADY_SUBSCRIBED_MSG", "Sie haben unsere Mailing-Liste bereits abonniert. Vielen Dank.");
	define("UNSUBSCRIBED_MSG", "Sie haben Newsletter erfolgreich abbestellt. Vielen Dank.");
	define("UNSUBSCRIBED_ERROR_MSG", "Wir konnten Ihre E-Mail-Adresse leider nicht in unserer Datenbank finden; vermutlich haben Sie unseren Newsletter bereits abbestellt.");
	define("FORGOT_PASSWORD_MSG", "Passwort vergessen?");
	define("FORGOT_PASSWORD_DESC", "Bitte geben Sie die E-Mail-Adresse ein, mit der Sie sich registriert haben:");
	define("FORGOT_EMAIL_ERROR_MSG", "Wir konnten Ihre E-Mail-Adresse leider nicht in unserer Datenbank finden.");
	define("FORGOT_EMAIL_SENT_MSG", "Die Anweisungen zum Login wurden Ihnen per E-Mail zugesandt.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Einige bentigte Parameter konnten nicht gefunden werden.");
	define("RESET_PASSWORD_PARAMS_MSG", "Die von Ihnen zur Verfgung gestellten Paramter passen nicht zu denen in der Datenbank.");
	define("RESET_PASSWORD_EXPIRY_MSG", "Dieser Reset-Code ist abgelaufen. Bitte beantragen Sie einen neuen Code um Ihr Passwort zurckzusetzen.");
	define("RESET_PASSWORD_SAVED_MSG", "Ihr neues Passwort wurde erfolgreich gespeichert.");
	define("PRINTER_FRIENDLY_MSG", "Druckerfreundlich");
	define("PRINT_PAGE_MSG", "Diese Seite drucken");
	define("ATTACHMENTS_MSG", "Anhnge");
	define("VIEW_DETAILS_MSG", "Details ansehen");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Reintext");
	define("META_DATA_MSG", "Meta-Daten");
	define("META_TITLE_MSG", "Seitentitel");
	define("META_KEYWORDS_MSG", "Meta-Schlsselbegriffe");
	define("META_DESCRIPTION_MSG", "Meta-Beschreibung");
	define("FRIENDLY_URL_MSG", "Freundlicher URL");
	define("IMAGES_MSG", "Bilder");
	define("IMAGE_MSG", "Bild");
	define("IMAGE_SMALL_MSG", "Vorschaubild");
	define("IMAGE_SMALL_DESC", "wird auf Listen-Seite angezeigt");
	define("IMAGE_SMALL_ALT_MSG", "Vorschaubild Alt");
	define("IMAGE_LARGE_MSG", "Groes Bild");
	define("IMAGE_LARGE_DESC", "wird auf Details-Seite angezeigt");
	define("IMAGE_LARGE_ALT_MSG", "Groes Bild Alt");
	define("IMAGE_SUPER_MSG", "Bild bergre");
	define("IMAGE_SUPER_DESC", "Bild ffnet in neuem Fenster");
	define("IS_APPROVED_MSG", "Freigegeben");
	define("CATEGORY_MSG", "Kategorie");
	define("SELECT_CATEGORY_MSG", "Kategorie whlen");
	define("DESCRIPTION_MSG", "Beschreibung");
	define("SHORT_DESCRIPTION_MSG", "Kurzbeschreibung");
	define("FULL_DESCRIPTION_MSG", "Vollstndige Beschreibung");
	define("HIGHLIGHTS_MSG", "Highlights");
	define("SPECIAL_OFFER_MSG", "Sonderangebot");
	define("OTHER_MSG", "Andere");
	define("WIDTH_MSG", "Breite");
	define("HEIGHT_MSG", "Hhe");
	define("LENGTH_MSG", "Lnge");
	define("WEIGHT_MSG", "Gewicht");
	define("QUANTITY_MSG", "Anzahl");
	define("CALENDAR_MSG", "Kalender");
	define("FROM_DATE_MSG", "Datum von");
	define("TO_DATE_MSG", "Datum bis");
	define("TIME_PERIOD_MSG", "Zeitraum");
	define("GROUP_BY_MSG", "Gruppieren nach");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "E-Mail-Benachrichtigung");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "E-Mail-Benachrichtigung Administrator");
	define("EMAIL_NOTIFICATION_USER_MSG", "E-Mail-Benachrichtigung Benutzer");
	define("EMAIL_SEND_ADMIN_MSF", "Benachrichtigung an Administrator senden");
	define("EMAIL_SEND_USER_MSG", "Benachrichtigung an Benutzer senden");
	define("EMAIL_USER_IF_STATUS_MSG", "Benachrichtigungsmail an Benutzer senden, wenn Status angewandt wird");
	define("EMAIL_TO_MSG", "An");
	define("EMAIL_TO_USER_DESC", "Kunden-E-Mail wird verwendet, wenn Feld leer");
	define("EMAIL_FROM_MSG", "Von");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Antwort an");
	define("EMAIL_RETURN_PATH_MSG", "Rckleitung an");
	define("EMAIL_SUBJECT_MSG", "Betreff");
	define("EMAIL_MESSAGE_TYPE_MSG", "Nachrichtentyp");
	define("EMAIL_MESSAGE_MSG", "Nachricht");
	define("SMS_NOTIFICATION_MSG", "SMS-Benachrichtigung");
	define("SMS_NOTIFICATION_ADMIN_MSG", "SMS-Benachrichtigung Administrator");
	define("SMS_NOTIFICATION_USER_MSG", "SMS-Benachrichtigung Benutzer");
	define("SMS_SEND_ADMIN_MSF", "SMS-Benachrichtigung an Administrator senden");
	define("SMS_SEND_USER_MSG", "SMS-Benachrichtigung an Benutzer senden");
	define("SMS_USER_IF_STATUS_MSG", "Benachrichtigungs-SMS an Benutzer senden, wenn Status angewandt wird");
	define("SMS_RECIPIENT_MSG", "SMS-Empfnger");
	define("SMS_RECIPIENT_ADMIN_DESC", "Mobil-Nr. Administrator");
	define("SMS_RECIPIENT_USER_DESC", "Mobil-Nr. wird verwendet, wenn Feld leer");
	define("SMS_ORIGINATOR_MSG", "SMS-Absender");
	define("SMS_MESSAGE_MSG", "SMS-Nachricht");

	// account messages
	define("LOGIN_AS_MSG", "Sie melden sich an als");
	define("LOGIN_INFO_MSG", "Anmeldeinformationen");
	define("ACCESS_HOME_MSG", "Um auf Ihre Home-Seite zu gelangen");
	define("REMEMBER_LOGIN_MSG", "Mein Login und Passwort behalten");
	define("ENTER_LOGIN_MSG", "Geben Sie Ihren Anmeldenamen und Passwort ein, um fortzusetzen");
	define("LOGIN_PASSWORD_ERROR", "Passwort oder Anmeldename ungltig");
	define("ACCOUNT_APPROVE_ERROR", "Ihr Konto wurde leider noch nicht freigegeben");
	define("NEW_PROFILE_ERROR", "Sie haben nicht die Berechtigung, ein Konto zu erffnen.");
	define("EDIT_PROFILE_ERROR", "Sie haben nicht die Berechtigung, dieses Profil zu bearbeiten.");
	define("CHANGE_DETAILS_MSG", "Ihre Details ndern");
	define("CHANGE_DETAILS_DESC", "Klicken Sie auf den Link oben, wenn Sie die Kontakt- oder Login-Informationen bearbeiten mchten, die Sie beim Anlegen ihres Kontos angegeben haben.");
	define("CHANGE_PASSWORD_MSG", "Passwort ndern");
	define("CHANGE_PASSWORD_DESC", "Der Link unten fhrt Sie zu der Seite, auf der Sie Ihr Passwort ndern knnen.");
	define("SIGN_UP_MSG", "Jetzt registrieren");
	define("MY_ACCOUNT_MSG", "Mein Konto");
	define("NEW_USER_MSG", "Neuer Benutzer");
	define("EXISTS_USER_MSG", "Bestehende Benutzer");
	define("EDIT_PROFILE_MSG", "Profil bearbeiten");
	define("PERSONAL_DETAILS_MSG", "Persnliche Details");
	define("DELIVERY_DETAILS_MSG", "Versand Details");
	define("SAME_DETAILS_MSG", "Wenn die Versand-Details mit den Angaben oben bereinstimmen, markieren Sie bitte hier.<br> Wenn nicht, ergnzen Sie bitte die Angaben unten.");
	define("DELIVERY_MSG", "Versand");
	define("SUBSCRIBE_CHECKBOX_MSG", "Bitte markieren Sie diese Checkbox, wenn Sie unseren Newsletter erhalten mchten.");
	define("ADDITIONAL_DETAILS_MSG", "Zustzliche Details");

	// ads messages
	define("MY_ADS_MSG", "Meine Anzeigen");
	define("MY_ADS_DESC", "Wenn Sie etwas verkaufen mchten, schalten Sie hier eine Anzeige. Das geht einfach und schnell.");
	define("EDIT_AD_MSG", "Anzeige bearbeiten");
	define("ADD_NEW_AD_MSG", "Anzeige hinzufgen");
	define("AD_ID_COLUMN", "ID");
	define("AD_TITLE_COLUMN", "Titel");
	define("AD_PRICE_COLUMN", "Preis");
	define("AD_STATUS_COLUMN", "Status");
	define("AD_GENERAL_MSG", "Allgemeine Anzeige-Informationen");
	define("AD_CATEGORY_MSG", "Kategorie");
	define("AD_SELECT_CATEGORY_MSG", "Kategorie whlen");
	define("AD_TYPE_MSG", "Typ");
	define("AD_TITLE_MSG", "Titel");
	define("AD_SELLER_MSG", "Verkufer");
	define("AD_START_MSG", "Datum Start");
	define("AD_RUNS_MSG", "Tage Laufzeit");
	define("AD_PRICE_MSG", "Preis");
	define("AD_QTY_MSG", "Anzahl");
	define("AD_AVAILABILITY_MSG", "Verfgbarkeit");
	define("AD_COMPARED_MSG", "Anzeige-Vergleich erlauben");
	define("AD_IMAGES_MSG", "Bilder");
	define("AD_UPLOAD_MSG", "Bild hochladen");
	define("AD_SMALL_IMAGE_MSG", "Kleines Bild");
	define("AD_LARGE_IMAGE_MSG", "Groes Bild");
	define("AD_DESCRIPTION_MSG", "Beschreibung");
	define("AD_SHORT_DESC_MSG", "Kurzbeschreibung");
	define("AD_FULL_DESC_MSG", "Vollstndige Beschreibung");
	define("AD_LOCATION_MSG", "Ort");
	define("AD_CITY_MSG", "Stadt");
	define("AD_STATE_MSG", "Staat");
	define("AD_COUNTRY_MSG", "Land");
	define("AD_LOCATION_INFO_MSG", "Zustzliche Informationen");
	define("AD_PROPERTIES_MSG", "Anzeige Eigenschaften");
	define("AD_SPECIFICATION_MSG", "Anzeige Beschreibung");
	define("AD_MORE_IMAGES_MSG", "Mehr Bilder");
	define("AD_IMAGE_MSG", "Bild");
	define("AD_IMAGE_TITLE_MSG", "Titel");
	define("AD_IMAGE_PREVIEW_MSG", "Bild Vorschau");
	define("AD_IMAGE_LARGE_MSG", "Groes Bild");
	define("AD_IMAGE_DESC_MSG", "Bildbeschreibung");
	define("AD_DELETE_CONFIRM_MSG", "Mchten Sie diese Anzeige lschen?");
	define("AD_NOT_APPROVED_MSG", "Nicht freigegeben");
	define("AD_RUNNING_MSG", "Luft");
	define("AD_CLOSED_MSG", "Geschlossen");
	define("AD_EXPIRED_MSG", "Abgelaufen");
	define("AD_NOT_STARTED_MSG", "Nicht gestarted");
	define("AD_NEW_ERROR", "Sie haben nicht die Berechtigung, eine neue Anzeige anzulegen.");
	define("AD_EDIT_ERROR", "Sie haben nicht die Berechtigung, diese Anzeige zu bearbeiten.");
	define("AD_DELETE_ERROR", "Sie haben nicht die Berechtigung, diese Anzeige zu lschen.");
	define("NO_ADS_MSG", "Keine Anzeigen gefunden");
	define("NO_AD_MSG", "Keine Anzeige mit dieser ID in dieser Kategorie verfgbar");
	define("FOUND_ADS_MSG", "Es wurden <b>{found_records}</b> Anzeigen gefunden, welche den/die Begriff/e  '<b>{search_string}</b>' enthalten.");
	define("AD_OFFER_PRICE_MSG", "Preis");
	define("AD_OFFER_MESSAGE_MSG", "Angebot");
	define("AD_OFFER_LOGIN_ERROR", "Um fortzufahren mssen Sie eingelogged sein");
	define("AD_REQUEST_BUTTON", "Anfrage senden");
	define("AD_SENT_MSG", "Ihr Angebot wurde erfolgreich versandt");

	// search message
	define("SEARCH_FOR_MSG", "Suchen nach");
	define("SEARCH_IN_MSG", "Suchen in");
	define("SEARCH_TITLE_MSG", "Titel");
	define("SEARCH_CODE_MSG", "Code");
	define("SEARCH_SHORT_DESC_MSG", "Kurzbeschreibung");
	define("SEARCH_FULL_DESC_MSG", "Detaillierte Beschreibung");
	define("SEARCH_CATEGORY_MSG", "Suche in Kategorie");
	define("SEARCH_MANUFACTURER_MSG", "Hersteller");
	define("SEARCH_SELLER_MSG", "Verkufer");
	define("SEARCH_PRICE_MSG", "Preisspanne");
	define("SEARCH_WEIGHT_MSG", "Grenzwerte Gewicht");
	define("SEARCH_RESULTS_MSG", "Suchergebnisse");

	// compare messages
	define("COMPARE_MSG", "Vergleichen");
	define("COMPARE_REMOVE_MSG", "Entfernen");
	define("COMPARE_REMOVE_HELP_MSG", "Klicken Sie hier, um das Produkt aus der Vergleichstabelle zu entfernen");
	define("COMPARE_MIN_ALLOWED_MSG", "Sie mssen mindestens 2 Produkte auswhlen");
	define("COMPARE_MAX_ALLOWED_MSG", "Sie drfen nicht mehr als 5 Produkte auswhlen");
	define("COMPARE_PARAM_ERROR_MSG", "Vergleichs-Parameter hat einen falschen Wert");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "Einem Freund berichten");
	define("TELL_FRIEND_SUBJECT_MSG", "Ein Freund hat Ihnen diesen Link gesandt.");
	define("TELL_FRIEND_DEFAULT_MSG", "Hallo {friend_name} - Dieser Artikel {item_title} auf dieser Seite {site_url} knnte Dich vielleicht interessieren.");
	define("TELL_YOUR_NAME_FIELD", "Ihr Name");
	define("TELL_YOUR_EMAIL_FIELD", "Ihre E-Mail");
	define("TELL_FRIENDS_NAME_FIELD", "Name Ihres Freundes");
	define("TELL_FRIENDS_EMAIL_FIELD", "E-Mail Ihres Freundes");
	define("TELL_COMMENT_FIELD", "Bemerkung");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "DATENSCHUTZERKLRUNG: Wir werden Ihre E-Mail-Adressen und die Ihres Freundes zu keinem anderen Zweck speichern oder wiederverwerten.");
	define("TELL_SENT_MSG", "Ihre Nachricht wurde erfolgreich versandt!<br>Vielen Dank");

	// buttons
	define("GO_BUTTON", "Los");
	define("CONTINUE_BUTTON", "Fortsetzen");
	define("BACK_BUTTON", "Zurck");
	define("NEXT_BUTTON", "Nchste");
	define("PREV_BUTTON", "Vorige");
	define("SIGN_IN_BUTTON", "Registrieren");
	define("LOGIN_BUTTON", "Anmelden");
	define("LOGOUT_BUTTON", "Abmelden");
	define("SEARCH_BUTTON", "Suche");
	define("RATE_IT_BUTTON", "Bewerten");
	define("ADD_BUTTON", "Hinzufgen");
	define("UPDATE_BUTTON", "Aktualisieren");
	define("APPLY_BUTTON", "Anwenden");
	define("REGISTER_BUTTON", "Registrieren");
	define("VOTE_BUTTON", "Abstimmen");
	define("CANCEL_BUTTON", "Abbrechen");
	define("CLEAR_BUTTON", "Lschen");
	define("RESET_BUTTON", "Zurcksetzen");
	define("DELETE_BUTTON", "Lschen");
	define("SUBSCRIBE_BUTTON", "Abonnieren");
	define("UNSUBSCRIBE_BUTTON", "Abbestellen");
	define("SUBMIT_BUTTON", "Absenden");
	define("UPLOAD_BUTTON", "Upload");
	define("SEND_BUTTON", "Senden");
	define("PREVIEW_BUTTON", "Vorschau");
	define("FILTER_BUTTON", "Filter");

	// fields
	define("LOGIN_FIELD", "Benutzername");
	define("PASSWORD_FIELD", "Passwort");
	define("CONFIRM_PASS_FIELD", "Passwort besttigen");
	define("NEW_PASS_FIELD", "Neues Passwort");
	define("CURRENT_PASS_FIELD", "Aktuelles Passwort");
	define("NAME_FIELD", "Name");
	define("FIRST_NAME_FIELD", "Vorname");
	define("LAST_NAME_FIELD", "Nachname");
	define("PERSONAL_IMAGE_FIELD", "Persnliches Foto");
	define("COMPANY_SELECT_FIELD", "Firma");
	define("SELECT_COMPANY_MSG", "Firma whlen");
	define("COMPANY_NAME_FIELD", "Firmenname");
	define("EMAIL_FIELD", "E-Mail");
	define("STREET_FIRST_FIELD", "Adresse 1");
	define("STREET_SECOND_FIELD", "Adresse 2");
	define("CITY_FIELD", "Stadt");
	define("PROVINCE_FIELD", "Provinz");
	define("SELECT_STATE_MSG", "Auerhalb USA");
	define("STATE_FIELD", "Staat (nur USA)");
	define("ZIP_FIELD", "PLZ");
	define("SELECT_COUNTRY_MSG", "Land whlen");
	define("COUNTRY_FIELD", "Land");
	define("PHONE_FIELD", "Telefon");
	define("DAYTIME_PHONE_FIELD", "Telefon tagsber");
	define("EVENING_PHONE_FIELD", "Telefon abends");
	define("CELL_PHONE_FIELD", "Mobiltelefon");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Gltigkeits-Code");
	define("AFFILIATE_CODE_FIELD", "Partner-Code");
	define("AFFILIATE_CODE_HELP_MSG", "Bitte benutzen Sie den folgenden URL {affiliate_url}, um einen Verweis auf eine Partnerseite unserer Seite zu erzeugen.");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal-Konto");
	define("TAX_ID_FIELD", "Steuernummer");

	// no records messages
	define("NO_RECORDS_MSG", "Keine Eintrge gefunden");
	define("NO_EVENTS_MSG", "Keine Ereignisse gefunden");
	define("NO_QUESTIONS_MSG", "Keine Fragen gefunden");
	define("NO_NEWS_MSG", "Keine News gefunden");
	define("NO_POLLS_MSG", "Keine Umfragen gefunden");

	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Bitte geben Sie Ihre Mobil-Nr. ein und klicken Sie 'SEND_BUTTON', um eine Testnachricht zu empfangen.");
	define("INVALID_CELL_PHONE", "Ungltige Mobil-Nr.");

?>
